<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/3/20
 * Time: 下午 02:32
 */

namespace App\Http\Controllers\API;


use App\Http\Controllers\Controller;
use App\Http\Requests\API\Company\CreateOrUpdateRequest;
use App\Http\Resources\API\CompanyResource;
use App\Models\Company;
use Illuminate\Http\Request;

class CompanyController extends Controller
{
    public function index(Request $request)
    {
        $company=Company::query()->filter($request->all())->get();
        return CompanyResource::collection($company);
    }


    public function store(CreateOrUpdateRequest $request)
    {
        $company=new Company();

        $company->fill([
            ...$request->all(),
        ]);

        $company->save();

        return $this->created();
    }

    public function show(string $id)
    {
        $field = Company::query()->findOrFail($id);

        return new CompanyResource($field);
    }

    public function update(CreateOrUpdateRequest $request,string $id){
        $company=Company::findOrFail($id);
        $company->fill($request->all());
        $company->save();
        return $this->noContent();
    }


    public function destroy(string $id)
    {

    }





}
