<?php

namespace App\Models;

use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Company extends Model
{
    use HasFactory,Filterable;

    protected $table = 'company';

    protected $fillable = [
        'name',
        'email',
    ];

    protected $guarded = [
        'id'
    ];
}
